%define 	module	anyjson
Summary:	JSON implementation in a common interface
Name:		python-%{module}
Version:	0.3.3
Release:	1
License:	BSD
Group:		Development/Languages/Python
Source0:	http://pypi.python.org/packages/source/a/%{module}/%{module}-%{version}.tar.gz
# Source0-md5:	2ea28d6ec311aeeebaf993cb3008b27c
URL:		https://bitbucket.org/runeh/anyjson
BuildRequires:	python-distribute
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.219
Requires:	python-modules
Requires:	python-pyparsing
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Anyjson loads whichever is the fastest JSON module installed and
provides a uniform API regardless of which JSON implementation is
used.

%prep
%setup -q -n %{module}-%{version}

%build
%{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install \
	--skip-build \
	--optimize=2 \
	--root=$RPM_BUILD_ROOT

%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README*

%{py_sitescriptdir}/%{module}
%if "%{py_ver}" > "2.4"
%{py_sitescriptdir}/%{module}-*.egg-info
%endif
%changelog
* Sun Apr 28 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-anyjson.git;a=log;h=master

* Thu Aug 02 2012 Łukasz Kieś <kiesiu@pld-linux.org> eeb46b3
- updated to 0.3.3

* Sat Jan 07 2012 zbyniu <zbyniu@pld-linux.org> 243bd07
- rel 1

* Thu May 26 2011 zbyniu <zbyniu@pld-linux.org> 53cca5d
- desc, URL, cleanup

* Wed May 25 2011 cieciwa <cieciwa@pld-linux.org> af8e085
- updated %file

* Wed May 25 2011 cieciwa <cieciwa@pld-linux.org> a8014b1
- initial.

